<?php

/**
 * @file
 * Displays newsletter statistics.
 */

/**
 * Page for newsletter statistics.
 */
function sunmailer_stats_page() {
  $statistics = new SunMailerStatistics();
  return theme('sunmailer_stats', $statistics->getAllStatistics());
}

/**
 * Theme callback for newsletter statistics.
 */
function theme_sunmailer_stats($statistics) {
  $html = '<ul>';
  $html .= "<li>All newsletters [{$statistics['count']}]<ul>";
  foreach ($statistics['newsletters'] as $newsletter_statistics) {
    $html .= "<li>{$newsletter_statistics['title']} [{$newsletter_statistics['count']}]<ul>";
    foreach ($newsletter_statistics['sections'] as $section_statistics) {
      $html .= "<li>{$section_statistics['title']} [{$section_statistics['count']}]</li>";
    }
    $html .= '</ul></li>';
  }
  $html .= '</ul></li>';
  $html .= '</ul>';
  return $html;
}
